package com.glxp.mipsdl.entity.auth;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
    * 仓库字典表
    */
@Data
@TableName(value = "auth_warehouse")
public class AuthWarehouseEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 仓库编码
     */
    @TableField(value = "code")
    private String code;

    /**
     * 仓库名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 部门编码
     */
    @TableField(value = "parentId")
    private String parentId;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 是否系统默认仓库
     */
    @TableField(value = "defaultInv")
    private Boolean defaultInv;

    /**
     * 第三方产品编码
     */
    @TableField(value = "thirdId")
    private String thirdId;

    /**
     * 第三方产品编码
     */
    @TableField(value = "thirdId1")
    private String thirdId1;

    /**
     * 第三方产品编码
     */
    @TableField(value = "thirdId2")
    private String thirdId2;

    /**
     * 第三方产品编码
     */
    @TableField(value = "thirdId3")
    private String thirdId3;

    /**
     * 第三方产品编码
     */
    @TableField(value = "thirdId4")
    private String thirdId4;

    /**
     * 父级仓库
     */
    @TableField(value = "parentCode")
    private String parentCode;

    public static final String COL_ID = "id";

    public static final String COL_CODE = "code";

    public static final String COL_NAME = "name";

    public static final String COL_PARENTID = "parentId";

    public static final String COL_REMARK = "remark";

    public static final String COL_DEFAULTINV = "defaultInv";

    public static final String COL_THIRDID = "thirdId";

    public static final String COL_THIRDID1 = "thirdId1";

    public static final String COL_THIRDID2 = "thirdId2";

    public static final String COL_THIRDID3 = "thirdId3";

    public static final String COL_THIRDID4 = "thirdId4";

    public static final String COL_PARENTCODE = "parentCode";
}