package com.glxp.mipsdl.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "sys_thirdsys_api")
public class SysThirdsysApiEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "apiUrl")
    private String apiUrl;

    @TableField(value = "guideUrl")
    private String guideUrl;

    @TableField(value = "remark")
    private String remark;

    /**
     * 接口类型：1.上传。2。下载
     */
    @TableField(value = "`type`")
    private String type;

    public static final String COL_ID = "id";

    public static final String COL_NAME = "name";

    public static final String COL_APIURL = "apiUrl";

    public static final String COL_GUIDEURL = "guideUrl";

    public static final String COL_REMARK = "remark";

    public static final String COL_TYPE = "type";
}